Landing Pages
List Landing Pages
List landing pages for the current company
GET
/
api
/
v1
/
landing-pages
List Landing Pages
curl --request GET \
--url https://api.sequenzy.com/api/v1/landing-pages \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sequenzy.com/api/v1/landing-pages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sequenzy.com/api/v1/landing-pages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"companyId": "comp_abc123",
"landingPages": [
{
"id": "lp_abc123",
"companyId": "comp_abc123",
"name": "Product Waitlist",
"slug": "product-waitlist",
"status": "published",
"content": { "version": 2, "template": "waitlist", "blocks": [] },
"viewCount": 1240,
"conversionCount": 186,
"publishedAt": "2026-05-01T10:30:00Z",
"createdAt": "2026-05-01T10:00:00Z",
"updatedAt": "2026-05-01T10:30:00Z",
"url": "https://sequenzy.com/dashboard/company/comp_abc123/landing-pages/lp_abc123",
"appPublicUrl": "https://sequenzy.com/lp/comp_abc123/product-waitlist",
"publicUrl": "https://pages.example.com/product-waitlist"
}
],
"url": "https://sequenzy.com/dashboard/company/comp_abc123/landing-pages"
}
{
"success": false,
"error": "Unauthorized"
}
List landing pages for the authenticated company.
Request
curl "https://api.sequenzy.com/api/v1/landing-pages" \
-H "Authorization: Bearer YOUR_API_KEY"
Responses
{
"success": true,
"companyId": "comp_abc123",
"landingPages": [
{
"id": "lp_abc123",
"companyId": "comp_abc123",
"name": "Product Waitlist",
"slug": "product-waitlist",
"status": "published",
"content": { "version": 2, "template": "waitlist", "blocks": [] },
"viewCount": 1240,
"conversionCount": 186,
"publishedAt": "2026-05-01T10:30:00Z",
"createdAt": "2026-05-01T10:00:00Z",
"updatedAt": "2026-05-01T10:30:00Z",
"url": "https://sequenzy.com/dashboard/company/comp_abc123/landing-pages/lp_abc123",
"appPublicUrl": "https://sequenzy.com/lp/comp_abc123/product-waitlist",
"publicUrl": "https://pages.example.com/product-waitlist"
}
],
"url": "https://sequenzy.com/dashboard/company/comp_abc123/landing-pages"
}
{
"success": false,
"error": "Unauthorized"
}
⌘I
List Landing Pages
